## GtkColorSelectionDialog

GtkColorSelectionDialog — A standard dialog box for selecting a color

## Functions

GtkWidget * | gtk_color_selection_dialog_new ()
GtkWidget * | gtk_color_selection_dialog_get_color_selection ()

## Properties

GtkWidget * | cancel-button | Read
GtkWidget * | color-selection | Read
GtkWidget * | help-button | Read
GtkWidget * | ok-button | Read

## Types and Values

struct | GtkColorSelectionDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkColorSelectionDialog

## Implemented Interfaces

GtkColorSelectionDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkColorSelectionDialog provides a standard dialog which allows the user to select a color much like the GtkFileSelection provides a standard dialog for file selection.

### GtkColorSelectionDialog as GtkBuildable

The GtkColorSelectionDialog implementation of the GtkBuildable interface exposes the embedded GtkColorSelection as internal child with the name "color_selection". It also exposes the buttons with the names "ok_button", "cancel_button" and "help_button".

## Functions

### gtk_color_selection_dialog_new ()

    GtkWidget *
    gtk_color_selection_dialog_new (const gchar *title);

Creates a new GtkColorSelectionDialog.

#### Parameters

title | a string containing the title text for the dialog. |

#### Returns

a GtkColorSelectionDialog.

### gtk_color_selection_dialog_get_color_selection ()

    GtkWidget *
    gtk_color_selection_dialog_get_color_selection
                                   (GtkColorSelectionDialog *colorsel);

Retrieves the GtkColorSelection widget embedded in the dialog.

#### Parameters

colorsel | a GtkColorSelectionDialog |

#### Returns

the embedded GtkColorSelection.

[transfer none]

Since 2.14

## Types and Values

### struct GtkColorSelectionDialog

    struct GtkColorSelectionDialog;

The GtkColorSelectionDialog struct contains the following fields. (These fields should be considered read-only. They should never be set by an application.)

GtkWidget *colorsel; | The GtkColorSelection widget contained within the dialog. Use this widget and its `gtk_color_selection_get_current_color()` function to gain access to the selected color. Connect a handler for this widget's color_changed signal to be notified when the color changes.
GtkWidget *ok_button; | The OK button widget contained within the dialog. Connect a handler for the clicked event.
GtkWidget *cancel_button; | The cancel button widget contained within the dialog. Connect a handler for the clicked event.
GtkWidget *help_button; | The help button widget contained within the dialog. Connect a handler for the clicked event.

## Property Details

### The `“cancel-button”` property

      “cancel-button”            GtkWidget *

The cancel button of the dialog.

Flags: Read

### The `“color-selection”` property

      “color-selection”          GtkWidget *

The color selection embedded in the dialog.

Flags: Read

### The `“help-button”` property

      “help-button”              GtkWidget *

The help button of the dialog.

Flags: Read

### The `“ok-button”` property

      “ok-button”                GtkWidget *

The OK button of the dialog.

Flags: Read